<%-- $Id: ShowMenu.tag,v 1.1 2009/07/24 12:05:53 roopa Exp $ --%>
<%@ taglib uri = "http://www.adventnet.com/webclient/menu-tags" prefix="menu" %>
<%@ tag import="com.adventnet.client.components.action.web.MenuItemProperties" %>
<%@ tag import="com.adventnet.persistence.DataObject" %>
<%@ tag import="com.adventnet.client.action.web.MenuActionConstants" %>
<%@ tag import="com.adventnet.persistence.*"%>
<%@ tag import="com.adventnet.client.action.web.MenuVariablesGenerator" %>
<%@ tag import="com.adventnet.client.themes.web.ThemesAPI" %>

<%@ attribute name="menuId" required="true"%>
<%@ attribute name="uniqueId" required="false"%>
<%@ attribute name="type" required="false"%>
<%@ attribute name="orientation" required="false"%>
<%@ attribute name="reqParams" required="false"%>
<%@ attribute name="menuButtonItem" required="false"%>

<%
String ctxPath = ((HttpServletRequest)((PageContext)jspContext).getRequest()).getContextPath();
String classId = null;
String imageCSSClass = null;
boolean isMenuButtonItem = true;
if (type == null || type.equals("button"))
{
    if(orientation == null || orientation.equals("horizontal"))
    {
        classId = "hmenubutton";
    }
    else if(orientation.equals("vertical"))
    {
        classId = "vmenubutton";
    }
}
else if(type.equals("link"))
{
    if(orientation == null || orientation.equals("horizontal"))
    {
        classId = "hmenu";
    }
    else if(orientation.equals("vertical"))
    {
        classId = "vmenu";
    }
}
if(reqParams != null){
	reqParams = "'" + reqParams + "'";
}
else
{
   reqParams = "null";
}

// this is used for special construction used in DeviceExpert team
if("false".equalsIgnoreCase(menuButtonItem))
{
isMenuButtonItem = false;
}

%>

<ul class="<%= classId%>" id="menu_<%=menuId%>">
    <menu:MenuIterator menuId="<%= menuId%>" uniqueId="<%=uniqueId%>">
    <%
    DataObject obj =  (DataObject)((PageContext)jspContext).getAttribute(MenuActionConstants.MENUITEM_DATA);
    		if(obj != null) 
    		{
    %>
        <menu:MenuItem menuItem='<%= obj%>'>
        <%
        	DataObject menuObj = MenuVariablesGenerator.getCompleteMenuData(menuId);
        	String displayType = (String) menuObj.getFirstValue("Menu","DISPLAYTYPE");
        	
            if(displayType == null)
            {
                displayType = "BOTH";
            }

            MenuItemProperties p = (MenuItemProperties)((PageContext)jspContext).getAttribute(MenuActionConstants.CURRENT_MENUITEM);
            String imgSrc = p.getImageSrc();
            boolean isDisableMenuItem = p.getViewType() == MenuActionConstants.DISABLE_MENUITEM;
            String menuClassInfo = "";
            if(isDisableMenuItem)
             {
                menuClassInfo = "class='disable'";
              }

	    String str = p.getDisplayName(); 
		if(str == null)
		{
		str = "";
		}	
		
		if(p.getImageCSSClass() != null)
		{
			imageCSSClass = p.getImageCSSClass();
		}
		
		    if(imgSrc != null)
            {
		    	String themeDir = ThemesAPI.getThemeDirForRequest (request);	
		    	imgSrc = ThemesAPI.handlePath(imgSrc,request,themeDir);			    	
            }
		     
        %>
        <%
            if(p.getViewType() == MenuActionConstants.HIDE_MENUITEM)
            {
        %>
            <li id="menuitem_<%=p.getMenuItemId()%>">
        <%
            }
            else
            {

        %>
                    <li <%=menuClassInfo%> id="menuitem_<%=p.getMenuItemId()%>">  
<%
            	if(!isDisableMenuItem)
                 {
%>
                <a href="javascript:invokeMenuAction('<%= p.getMenuItemId()%>', <%= (uniqueId != null)? "'" + uniqueId + "'" :"null" %>,<%=reqParams%>)" title="<%=str%>">
<%
                 }
%>
		<%if(isMenuButtonItem){%><span class="hmleft_btn"></span><span class="hmmiddle_btn"><%}%>

                <%
                if(imgSrc != null && ("IMAGE".equals(displayType) || "BOTH".equals(displayType))){
			%>	
				 <img src="<%=imgSrc%>">
				 
				<%}else{%>
						<span  class="<%=imageCSSClass%>" ></span>
				 <%}%>
								
                <%}
                if(str != null && ("TEXT".equals(displayType) || "BOTH".equals(displayType)))
                {
                %>	
                     <%=str%>
                <%
                } 
                %>

		<%
                if(isMenuButtonItem)
                {
                 %>
                </span><span class="hmright_btn"></span>
                 <%
                 }
                 %>

                 <%
            	if(!isDisableMenuItem)
                 {
%>
                </a>
<%
                 }
%>
                 

            </li>


        </menu:MenuItem>

        <%
    		}
        %>
    </menu:MenuIterator>
</ul>
