/* $Id: discovery.js,v 1.20 2009/08/05 07:51:50 vasus Exp $ */

function validateDiscoveryValues(radioButtons)
{
   if(radioButtons[0].checked)
   {
        var hostListStr = document.discoveryWizard.HOST.value;
        if(!isNotEmpty(hostListStr))
        {
            alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.1"));
            return false;
        }
        
        // Not validating the individual values since hostname
        // is allowed and it can be any alphanumeric value
        /*var individualHosts = hostListStr.split(",");
        var len = individualHosts.length;
        for(k=0;k<len;k++)
        {
          if(!hostNameValidation(individualHosts[k]))
          {
          	return false;
          }
        }*/
   }
   else if(radioButtons[1].checked)
   {
     if(!isValidIPAddress(document.discoveryWizard.START_ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.2"));
       return false;
     }
     
     if(!isValidIPAddress(document.discoveryWizard.END_ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.3"));
       return false;
     }
   }
   // Host File option
   else if(radioButtons[2].checked)
   {
   	var form = document.discoveryWizard;
   	if(!isNotEmpty(form.HOST_FILE_CONTENTS.value))
   	{
	   alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.4"));
	   return false;
   	}
   	form.action = "DiscoverDevices.do";
   	form.encoding = "multipart/form-data"
   }
   else if(radioButtons[3].checked)
   {
       if(isValidIPAddress(document.discoveryWizard.CIDR_ADDR.value))
       {
           if(!isWithinRange(document.discoveryWizard.CIDR_BITS.value,document.discoveryWizard.CIDR_BITS))
            {
                alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.5"));
                return false;
            }
            else
            {
                return true;
            }
           
        }   
           
     if(!isValidIPAddress(document.discoveryWizard.CIDR_ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.6"));
       return false;
     }
   }
   else if(radioButtons[4].checked)
   {
     if(!isValidIPAddress(document.discoveryWizard.ADDR.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.7"));
       return false;
     }

     if(!isValidIPAddress(document.discoveryWizard.MASK.value))
     {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.8"));
       return false;
     }
   }
   
   if(document.getElementById("SNMP_PROFILELIST").options.length == 0)
   {
       alert(I18N.getMsg("js.discovery.validateDiscoveryValues.alert.9"));
       return false;
   }

   return validateForm(document.discoveryWizard);
   
}
function showHideRow(rowid,value)
{

   document.getElementById('single_row').className="hide";
   document.getElementById('addr_range_row').className="hide";
   document.getElementById('host_file_row').className="hide";   
   document.getElementById('cidr_row').className="hide";
   document.getElementById('net_addr_row').className="hide";
    var showHideObjects = MM_findObj(rowid);
    if(value == 'true')
    {
        showHideObjects.className='tablerowslight';
    }
    
}

