/* $Id: filterselectbox.js,v 1.5 2009/08/05 07:55:22 vasus Exp $ */

// Base content array object
// Populate values to for this variable in the jsp page
//baseContents = new Object();

function copyContents(objContent,toObj)
{
    clearSelectObj(toObj);
    var count = 0;
    for(var value in objContent)
    {
        var text = objContent[value];
        if(text != null)
        {
            toObj.options[count++] = new Option(objContent[value],value,false,false);
        }
    }
}

function clearSelectObj(selectObj)
{
    while(selectObj.options.length > 0)
    {
        selectObj.selectedIndex = 0;
        selectObj.remove(0); 
    }
}

function doFilter(contents,searchStr) 
{
    if(searchStr.length == 0)
        return contents;
    var tempContent = new Object();
    var text = '';

    for(var value in contents)
    {
        text = contents[value];
        if(text != null)
        {
            text = text.substring(0,searchStr.length);
            text = text.toLowerCase();
            
            if (searchStr.toLowerCase() == text )
            {
                tempContent[value] = contents[value];
            }
        }
    }
    return tempContent;
}

function searchData(contents,showObj,searchStr)
{
    var currentContent = doFilter(contents,searchStr);
    copyContents(currentContent,showObj);
}

function updateSelectObjects(takeFrom,addTo,addToBaseContents)
{
    var opt,i=0;
    if(takeFrom.selectedIndex != -1)
    {
        while(opt = takeFrom.options[i++] )
        {
            if(opt.selected &&(opt.index >=0))
            {
                addTo.options[addTo.options.length] = new Option(opt.text, opt.value, false, false);
                takeFrom.options[--i] = null;
                if(addToBaseContents)
                {
                    baseContents[opt.value] = null;
                    baseContents[opt.value] = opt.text;
                }
                else
                {
                    baseContents[opt.value] = null;
                }
            }
        }
    }
}

function loadValues(baseContents,showObj)
{
    copyContents(baseContents,showObj);
}

function showContents(baseContents)
{
    var temp='';
    for(var value in baseContents)
    {
        var text = baseContents[value];
        temp += I18N.getMsg("js.filterselectbox.showContents.id")+'='+value+','+I18N.getMsg("js.filterselectbox.showContents.value")+'='+text+' : ';
    }
    alert(temp);
}
