/* $Id: Label.js,v 1.32 2009/08/05 07:59:19 vasus Exp $ */

function assignVersion(menuItemId, uniqueId, tableAlias)
{
    tableAlias = getTableNameForMenuItem(menuItemId, uniqueId, tableAlias);
    if(false == confirmAction(menuItemId))
    {
        return;
    }
    if(false == isAtleastOneChecked(menuItemId, uniqueId))
    {
        return;
    }
    
    var url = getActionURL(menuItemId, uniqueId, tableAlias, uniqueId);
    url += "&" + "LABEL_ID="+document.getElementById("LABEL_ID").value + "&" + 
           "FILE_ID="+document.getElementById("FILE_ID").value ;
    //Creating new Form for sending current & previous data
    var newFrm = document.createElement("form");
    newFrm.setAttribute("method","post");
    newFrm.setAttribute("action",url);
    // storing current form's data
    document.body.appendChild(newFrm);
    handleStateForForm(newFrm);
    newFrm.submit();
}
function deleteLabel(menuItemName,refId,additionalParams,index)
{        
   var tblModel = getTableModel(refId);
   var selIndices = (index == null)? tblModel.getSelectedRowIndices(refId):[index];
   if(selIndices.length == 0)
   {
      alert(I18N.getMsg("js.Label.deleteLabel.alert1"));
      return;
   }

   var colInd1  = tblModel.getColumnIndex("LABEL_NAME");
   for(var i = 0; i < selIndices.length; i++)
   {
      if(tblModel.getValueAt(selIndices[i],colInd1) == "BASELINE" )
      {                                       
          alert(I18N.getMsg("js.Label.deleteLabel.alert2"));
          return;
       }
   } 
   var menuItemObj = getMenuItemObj(menuItemName);
   menuItemObj.invokeMenuAction(refId,additionalParams,index);
}


function validateLabelFormAndSubmit(form)
{
    var name = form.LABEL_NAME.value;
    var desc = form.DESCRIPTION.value;
    if(form.LABEL_ID.value=="false")
    {    
    var newLabelName = trimAll(name);
     var namesLen = labelRowName.length;
      for(var j=0;j<namesLen;j++)
        {
            if(labelRowName[j] == newLabelName)
             {

                alert(I18N.getMsg("js.Label.validateLabelFormAndSubmit.alert"));

                                            return false;
              }
        }

    }
    
    handleStateForForm(form); 
    form.submit();
}

function showLabelDetails(showValue)
{
    var showDetailsObj=MM_findObj('showdetails_id');
    var showLinkObj=MM_findObj('showlink_id');
    var hideLinkObj=MM_findObj('hidelink_id');
    if (showValue)
    {
        showLinkObj.className='hide';
        hideLinkObj.className='';
        showDetailsObj.className='';

    } else
    {
        showLinkObj.className='';
        hideLinkObj.className='hide';
        showDetailsObj.className='hide';
    }
}

function changeLabelVersion(dgUsed)
{
    var downloadViewName = (dgUsed == 'true') ? 'DGDownloadView' : 'NCMDownloadView';
    var labelselect = document.getElementById("label-select");
    var selectedIndex = labelselect.selectedIndex;
    var selectedLabel = labelselect.options[selectedIndex].value;
    stateData["NCMLabelVersionTableView"]["_D_RP"] = stateData[downloadViewName]["_D_RP"] +
        "&SELECTEDLABEL=" +selectedLabel ;
    refreshSubView("NCMLabelVersionTableView");
}

function getValuesAndSubmitFormForLabel(form)
{
  var selectEle = document.getElementById("label-select");
  var selectedIndex = selectEle.selectedIndex;
  if(selectedIndex != -1)
  {
      if(!validateScheduledDownload(form))
      {
          return false;
      }
      var selectedLabel = selectEle.options[selectedIndex].value;
      form.action="NCMLabel.ve?LABEL_NAME=" + selectedLabel;
      handleStateForForm(form);
      form.submit();
  }
  else
      alert(I18N.getMsg("js.Label.getValuesAndSubmitFormForLabel.alert"));
}

function cancel()
{
    history.go(-1);   
}

function addLabel(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.Label.addLabel.title")+",closePrevious=false");
}

function editLabel(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.Label.editLabel.title")+",closePrevious=false");
}
