/* $Id: inventory.js,v 1.18 2009/08/05 07:58:31 vasus Exp $ */

function d_srdiff(resourceid,resourcename)
{
    showURLInDialog('NCMStartupRunningDiff.ma?RESOURCEID='+resourceid,'width=900,title='+I18N.getMsg("js.configuration.checkDraftType.title")+resourcename);
}

function d_comp(resourceid,resourcename)
{
    openURL("DeviceComplianceAction.ma?RESOURCEID="+resourceid+"&RESOURCENAME="+resourcename+"&SELECTEDVIEW=NCMDDCompDataView");
}

function d_response(resourceid,resourcename)
{
    showURLInDialog('FailedDeviceExecutionResponseView.cc?RESOURCEID='+resourceid,'height=350,width=600,title='+resourcename+' -'+I18N.getMsg("js.inventory.d_response.title"));
}

function viewConfiguration(menuItemId, uniqueId, tableAlias)
{
    tableAlias = getTableNameForMenuItem(menuItemId, uniqueId, tableAlias);
    if(false == confirmAction(menuItemId))
    {
        return;
    }
    var url = getActionURL(menuItemId, uniqueId, tableAlias, uniqueId);
    url += "&" + "RESOURCEID="+document.getElementById("RESOURCEID").value;
    openActionURL(menuItemId, url);
}


function toggleMenu(imageid, show_legends)
{
	var menu=document.getElementById(show_legends);
	var image=document.getElementById(imageid);
	if(menu.style.display=="block")
	{
       image.src='images/arrowshow_expand.gif';
       menu.style.display="none";
	}
	else
	{
       image.src='images/arrowshow_collapse.gif';
       menu.style.display="block";
	}
}

function invokeDeviceActions(menuItemId, srcViewRefId, additionalParams,index)
{
    var tblModel = getTableModel(srcViewRefId);
    var resourcename = tblModel.getValueAt(index,tblModel.getColumnIndex("RESOURCENAME"));
    if(resourcename.length > 25)
    {
       resourcename = resourcename.substring(0,24) + "...";
    }
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"position=relative,top=15,left=-275,closeOnBodyClick=yes,title="+resourcename+"");
}

function showCredentialScreen(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);

    if(!menuItemObj.isAtleastOneChecked(srcViewRefId,additionalParams,index))
    {
 	return false;
    }
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.inventory.showCredentialScreen.title")+",method=POST");
}


// this method moved from deviceprop js file
function editDeviceProperties(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"position=absmiddle,title="+I18N.getMsg("js.inventory.editDeviceProperties.title")+",width=500");
}

function editHostNames(menuItemId, srcViewRefId, additionalParams,index)
{
   var menuItemObj = getMenuItemObj(menuItemId);
   var url =  menuItemObj.getActionURL(srcViewRefId,additionalParams,index);

   var params = 'title='+I18N.getMsg("js.inventory.editHostNames.variable");
   showURLInDialog(url,params);
}

				 
function persistHostNames(viewNameId)
{
    
    tablemodel = getTableModel(viewNameId);
    var noOfRows = tablemodel.getRowCount();
    for(var i=0;i<tablemodel.getRowCount();i++)
    {
       //alert("Values : ResourceName = " + tablemodel.getValueAt(i,1) + ", DisplayName=" + tablemodel.getValueAt(i,2) + ", 3=" + tablemodel.getValueAt(i,3));
         var newCompEle = document.createElement("input");
         newCompEle.setAttribute("type","hidden");
         newCompEle.setAttribute("name","RESOURCEID_" + i);
         newCompEle.setAttribute("value",tablemodel.getValueAt(i,3));
         document.EditHostNamesActionForm.appendChild(newCompEle);

         var newCompEle1 = document.createElement("input");
         newCompEle1.setAttribute("type","hidden");
         newCompEle1.setAttribute("name","DISPLAYNAME_" + i);
         newCompEle1.setAttribute("value",tablemodel.getValueAt(i,2));
         document.EditHostNamesActionForm.appendChild(newCompEle1);

    } 

        
         var newCompEle3 = document.createElement("input");
         newCompEle3.setAttribute("type","hidden");
         newCompEle3.setAttribute("name","NoOfRows");
         newCompEle3.setAttribute("value",noOfRows);
         document.EditHostNamesActionForm.appendChild(newCompEle3);
            
    
}



function handleEditHostNames(response,reqOptions)
{
    var opstatus = response.opStatus;
    //opstatus 4 = success
    //opstatus 5 = failure
    if(opstatus == 5)
    {
	var respMsg = response.getResponsePart("STATUS_MESSAGE");    
        alert(respMsg);
    }
    else if(opstatus == 4)
    {
	    response.invokeScripts();
    }
}


