/* $Id: report.js,v 1.32 2009/08/05 08:01:36 vasus Exp $ */
function showHideConfigChangeReportComponent(show,showDivId,hideDivId)
{
  var showDivObj = MM_findObj(showDivId);
  var hideDivObj = MM_findObj(hideDivId);
  
  // show changes
  if(show == true)
  {
    showDivObj.className='hide';
    hideDivObj.className='';
  }
  // hide changes
  else
  {
    showDivObj.className='';
    hideDivObj.className='hide';
  }
}

function changeCheckBoxValue(object)
{
    if ( object.checked )
    {
        object.value = 'true';
    }
    else
    {
        object.value = 'false';
    }
}

function validateReportTemplate(form)
{
    if( validateReportTemplateName(form) )
    {
        if( deviceGroupChooserValidation(form) )
        {
            return dateValidation(form);
        }
    }
    return false;
}

function validateReportTemplateName(form)
{
    var name = trimAll(form.RT_NAME.value);
        for(var j=0;j<rtNames.length;j++)
        {
            if(rtNames[j] == name)
            {
                if( (! is_rt_edit_view ) || ( is_rt_edit_view && (rt_current_name != name)) )
                {
                    alert(I18N.getMsg("js.report.validateReportTemplateName.alert"));
                    form.RT_NAME.focus();
                    return false;
                }
            }
        }
    return true;
}

function customizeLayout(menuItemId, uniqueId, tableAlias, index)
{
    var url = getInvokeActionFromViewURL(menuItemId, uniqueId, tableAlias, index);
    var repTempRowData = getRowDataAsObject(uniqueId,tableAlias,index);
    var urlChanged=url+"VIEWNAME="+repTempRowData["REPORT_TEMPLATE_NAME"];
    openActionURL(menuItemId, urlChanged, uniqueId);
}

function showDiffDialog(menuItemId,refId,additionalParams,index)
{
   var menuItemObj = getMenuItemObj(menuItemId);
   var url =  menuItemObj.getActionURL(refId,additionalParams,index);

   var tablemodel = getTableModel(refId);
   var name = tablemodel.getValueAt(index,tablemodel.getColumnIndex("RESOURCENAME"));
   var type = tablemodel.getValueAt(index,tablemodel.getColumnIndex("FILE_TYPE"));

   var params = 'width=900,title='+name+' - '+type+' Config'; 
   showURLInDialog(url,params);
}


function showInventoryDetailsDialog(menuItemId,refId,additionalParams,index)
{
   var menuItemObj = getMenuItemObj(menuItemId);
   var url = menuItemObj.getActionURL(refId,additionalParams,index);
   var params = 'width=850,scrollbars=no,title='+I18N.getMsg("js.report.showInventoryDetailsDialog.variable"); 
   showURLInDialog(url,params);
}


function dateValidation(form)
{
    var chooseValue =document.getElementById("CUSTOM").checked;

    if(chooseValue == true)
    {
        var fromDate = document.getElementById("START_TIME").value;
        var toDate = document.getElementById("END_TIME").value;

        if(fromDate == "")
        {
            alert(I18N.getMsg("js.report.dateValidation.alert.1"));
            return false;
        }

        if(toDate == "")
        {
            alert(I18N.getMsg("js.report.dateValidation.alert.2"));
            return false;
        }

            fromValue = fromDate.split("/");
            toValue = toDate.split("/");

            if(fromValue[2]<toValue[2])
             {
                return true;
             }
            else
             {
                 if(fromValue[2] == toValue[2])
                  {
                     if(fromValue[0]<toValue[0])
                      {
                         return true;
                      }
                     else
                      {
                        if(fromValue[0] == toValue[0])
                        {
                            if(fromValue[1]<=toValue[1])
                            {
                                return true;
                            }
                            else
                            {
                                alert(I18N.getMsg("js.report.dateValidation.alert.3"));
                                return false;
                            }
                        }
                        else
                        {
                            alert(I18N.getMsg("js.report.dateValidation.alert.3"));
                            return false;
                        }
                    }
                }
                else
                {
                    alert(I18N.getMsg("js.report.dateValidation.alert.3"));
                    return false;
                }
            }

    }
    else
    {
        return true;
    }
}

function isCustomReportSelected(form)
{
    var obj = form.REPORT_TYPE;
    if(obj.selectedIndex == -1 )
    {
        alert(I18N.getMsg("js.report.isCustomReportSelected.alert"));
        return false;
    }
    return true;
}

function editCustomReport(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.report.editCustomReport.title")+",modal=yes",null,"NCMReportTemplateListView");
}

function addCustomReport(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.report.addCustomReport.title")+",modal=yes",null,srcViewRefId);
}

function showStartupRunningDiff(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    var tblModel = getTableModel(srcViewRefId);
    var hostname = tblModel.getValueAt(index,tblModel.getColumnIndex("RESOURCENAME"));
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.configuration.checkDraftType.title")+hostname+",width=900");
}

function showConfigChangeDetailsPopup(menuItemId, srcViewRefId, additionalParams,index)
{
    var menuItemObj = getMenuItemObj(menuItemId);
    var tblModel = getTableModel(srcViewRefId);
    var hostname = tblModel.getValueAt(index,tblModel.getColumnIndex("RESOURCENAME"));
    showURLInDialog(menuItemObj.getActionURL(srcViewRefId,additionalParams,index),"title="+I18N.getMsg("js.configuration.checkDraftType.title")+hostname+",width=900");
}

function refreshChangeTrendTables(response,reqOptions)
{
    asynchUpdateTableView('CT_DeviceConfigDetails_HomePage','*');
    asynchUpdateTableView('CT_ChangedDevices_HomePage','*');
    asynchUpdateTableView('CT_DateTable_HomePage','*');    
    var el=document.getElementById("CT_DateTable_HomePage_TABLE");
    TableDOMModel.toggleAll(el);
    DOMUtils.getChildElsWithAttr(el,"table_el","TOGGLEALL")[0].checked=false;
}
