/* $Id: usermanagement.js,v 1.11 2009/08/05 08:06:32 vasus Exp $ */
function validatePassword(value,formElement)
{
    if(!isNotEmpty(value,formElement))
    {
    	//alert("Enter a valid password");
	return false;
    }
    if(value.length < 5)
    {	
        //alert("Password should contain atleast 5 characters");
	return false;
    }
    if(value.length >20)
    {
        //alert("Password should be between 5-20 characters");
	return false;
    }
    return true;
}

function validatePassword1(value,formElement)
{
    if(!isNotEmpty(value,formElement))
    {
    	alert(I18N.getMsg("js.usermanagement.validatePassword1.alert.1"));
	return false;
    }
    if(value.length < 5)
    {	
        alert(I18N.getMsg("js.usermanagement.validatePassword1.alert.2"));
	return false;
    }
    if(value.length >20)
    {
        alert(I18N.getMsg("js.usermanagement.validatePassword1.alert.3"));
	return false;
    }
    return true;
}

function validateNewPassword(value,formElement)
{
    if(!isNotEmpty(value, formElement))
    {
	return false;
    }
    if(value.length < 5)
    {
	return I18N.getMsg("js.usermanagement.validatePassword1.alert.2");
    }
    if(value.length >20)
    {
	return I18N.getMsg("js.usermanagement.validatePassword1.alert.3");
    }
    return true;
}

function validateConfirmPassword3(value, formElement)
{
    if(!isNotEmpty(value, formElement))
    {
 	return false;
    }
    if(value != formElement.form.newPassword.value)
    {
 	return I18N.getMsg("js.usermanagement.validateConfirmPassword3.return");
    }
    return true;
}

function validateConfirmPassword2(obj,form)
{
    var value = obj.value;
    if(!isNotEmpty(value,obj))
    {
	alert(I18N.getMsg("js.usermanagement.validateConfirmPassword2.alert"));
	return false;
    }
    if(value != form.password.value)
    {
 	alert(I18N.getMsg("js.usermanagement.validateConfirmPassword3.return"));
 	return false;
    }
    return true;
}

function validUserName(obj)
{
     var str = obj.value;
     var str1 = trimAll(str);
     if(str1.length == 0)
     {
         alert(I18N.getMsg("js.usermanagement.validUserName.alert.1"));
         return false;
     }
     
     if(isAlphaNumericDotDash(str,obj))
     {
         var result=isUniqueColoumn('AaaLogin','NAME',str);
         if(result != "true")
         {
             alert(I18N.getMsg("js.usermanagement.validUserName.alert.2"));
             return false;
         }
     }
     return true;
}

function isUniqueColoumn(tablename,colname,value)
{
   var xmlhttp = AjaxAPI.getXMLHttpRequest();
   var url = "jsp/xmlhttp/persistence.jsp?reqType=isunique&table="+tablename+"&col="+colname+"&colVal="+value;
   xmlhttp.open("GET",url,false);
   xmlhttp.send(null);
   var result = xmlhttp.responseText;
   result = trimAll(result);
   return result;
}

function validateUserCreation(form)
{
    if(createnewuser)
    {
        var loginName = form.loginName;
        if(!validUserName(loginName))
        {
            loginName.focus();
            return false; 
        }
    
        var password = form.password;
        if(!validatePassword1(password.value,password))
        {
            password.focus();
            return false; 
        }
  
        var confirmPass = form.confirmpass;
        if(!validateConfirmPassword2(confirmPass,form))
        {
            confirmPass.focus();
            return false; 
        }    
    }

    var emailId = form.emailaddress;
    if(!isEmailId(emailId.value))
    {
        alert(I18N.getMsg("js.usermanagement.validateUserCreation.alert"));
        emailId.focus();
        return false; 
    }
    
    if(form.roles.options[form.roles.selectedIndex].value != 'Administrator')
    {
        if(!deviceGroupChooserValidation(form))
        {
            return false;
        }
    }
    
    selectAllElements(form.SELECTEDUSERS,true);
    return true;
}

function updateSelectObjectsWithOptGroups(fromList,toList)
{
	var takeFrom = document.getElementById(fromList);
	var addTo = document.getElementById(toList);

	var adminoptions = document.getElementById(toList + "_ADMINISTRATOR_OPTGROUP");
	var poweruseroptions = document.getElementById(toList + "_POWERUSER_OPTGROUP");

	var opt,i=0;
	if(takeFrom.selectedIndex != -1)
	{
		while(opt = takeFrom.options[i++] )
		{
			if(opt.selected &&(opt.index >=0))
			{
				var selectedoptgp = opt.parentNode.label;
				if(selectedoptgp == "Administrators")
				{
					optiontag = document.createElement("option");
					adminoptions.appendChild(optiontag);
				}
				else
				{
					optiontag = document.createElement("option");
					poweruseroptions.appendChild(optiontag);
				}
				optiontag.value = opt.value;
				optiontag.text = opt.text;

				takeFrom.options[--i] = null;
			}
		}
	}
}
